{
    attributes = (
        {
            columnName = "DATE_PER"; 
            externalType = VARCHAR2; 
            name = datePer; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "DEB_PERIODE"; 
            externalType = VARCHAR2; 
            name = debPeriode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "FIN_PERIODE"; 
            externalType = VARCHAR2; 
            name = finPeriode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            columnName = "NB_ETU_PER"; 
            externalType = NUMBER; 
            name = nbEtuPer; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NB_RDV_REST"; 
            externalType = NUMBER; 
            name = nbRdvRest; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NUM_OCC_PERIODE"; 
            externalType = NUMBER; 
            name = numOccPeriode; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NUM_OCC_PLANNING"; 
            externalType = NUMBER; 
            name = numOccPlanning; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        datePer, 
        debPeriode, 
        finPeriode, 
        nbEtuPer, 
        nbRdvRest, 
        numOccPeriode, 
        numOccPlanning
    ); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EORdvPlanning"; 
    classProperties = (finPeriode, nbEtuPer, nbRdvRest, numOccPeriode); 
    externalName = "GARNUCHE.RDV_PLANNING"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EORdvPlanning"; 
    }; 
    name = "FwkScolarix_RdvPlanning"; 
    primaryKeyAttributes = (datePer, debPeriode, numOccPlanning); 
}
